// VISensorErrCode.h: interface of the CVI_SensorErrCode class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VI_SENSOR_ERR_CODE_H__)
#define __VI_SENSOR_ERR_CODE_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


// Hardware
#define	VI_ERR_NONE				0	//
#define	VI_ERR_NOT_CONNECT      1	//VIVID not found.
#define	VI_ERR_OUT_OF_DISTANCE  2	//Out of Distance.
#define	VI_ERR_CANT_READY       3	//Can't Ready.
#define	VI_ERR_MEASURE	        4	//Measure Error.
#define	VI_ERR_AF_DRIVING       5	//AF Motor Driving.
#define	VI_ERR_MEMORY_WRITE		6	//Memory Write Error.
#define	VI_ERR_MEMORY_READ		7	//Memory Read Error.
#define VI_ERR_POWER_RESET		8	//Porwer On Reset Occured.
#define	VI_ERR_HARDWARE_ANY	    9	//Something wrong with VIVID.


// PC
#define	VI_ERR_MEM_ALLOC		100	//Memory allocation error.		
#define	VI_ERR_FILE_WRITE		101	//File write error.
#define	VI_ERR_FILE_READ		102	//File read error.
#define	VI_ERR_NO_DATA          103	//There are no points.
#define	VI_ERR_ILLEGAL_FILE     104	//Illegal format file.
#define	VI_ERR_STAGE_REGIST     105	//Please capture chart data again.
#define	VI_ERR_ILLEGAL_PARAM    106	//Illegal parameter .
#define	VI_ERR_NO_IMAGE_DATA    107	//No image data.

#define	VI_ERR_DATA_ANY         200	//Something wrong library.


#endif
