// Vivid9i.h: interface of the CVivid9i class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VIVID9I_H__)
#define __VIVID9I_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include "VISensor.h"
#include <Vivid9iRawData.h>
#include <VividColorData.h>
#include <VividMonoData.h>

#ifdef HARDWARE_EXPORTS
#define HARDWARE_API __declspec(dllexport)
#else
#define HARDWARE_API __declspec(dllimport)
#endif

const int CAMPARA_NUM = 64;

class HARDWARE_API CVivid9i : public CVISensor  
{
public:
	CVivid9i();
	virtual ~CVivid9i();
	virtual BOOL SetId(BYTE byId);
	virtual BYTE GetId(void);
	virtual BOOL WriteDefault();
	virtual BOOL ReadDefault();
};

#endif
