// VividImageData.h: interface of the CVividImageData class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VIVIDIMAGEDATA_H__)
#define __VIVIDIMAGEDATA_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif


#include <VvdImage.h>
class DATAPROCESS_API CVividImageData  
{
public:
	CVividImageData();
	virtual ~CVividImageData();    
	void GetSize(int& width,int& height);
	BOOL Init(int width,int height);
	VVD_BGRA* m_pImage;
    CVividImageData& operator =(const CVvdImage &VvdImage);
    CVividImageData& operator = (const CVividImageData& VividImageData);
    CVividImageData(const CVividImageData& VividImageData);
protected:
    void Copy(const CVividImageData& VividImageData);
private:
    int m_nHeight;
	int m_nWidth;
};

#endif
