// VISensorMonoProcess.h: interface of the CVISensorMonoProcess class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VI_SENSORMONOPROCESS_H__)
#define __VI_SENSORMONOPROCESS_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VISensorMonoData.h"
#include "VvdImage.h"
#include "VISensorImportPara.h"

class CVISensorMonoProcess  
{
public:
	CVISensorMonoProcess();
	virtual ~CVISensorMonoProcess();
	virtual BOOL SensorMonoToVvdImage(CVISensorMonoData* pMonoData,CVvdImage& VvdImage,CVISensorImportPara* pImportPara) = 0;

};

#endif
