// VISensorRawData.h: interface of the CVISensorRawData class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VISENSOR_RAWDATA_H__)
#define __VISENSOR_RAWDATA_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif

#include <VISensorCoordTransPara.h>

class DATAPROCESS_API CVISensorRawData  
{   
public:
	CVISensorRawData();
	virtual ~CVISensorRawData();
	virtual void SetCoordTransPara(const CVISensorCoordTransPara* pCoordTransPara) = 0;
    virtual void GetCoordTransPara(CVISensorCoordTransPara* pCoordTransPara) = 0;
};

#endif
