// VISensorRawDataList.h: interface of the CVISensorRawDataList class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VI_SENSOR_RAWDATALIST_H__)
#define __VI_SENSOR_RAWDATALIST_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif

#include "VISensorRawData.h"

class DATAPROCESS_API CVISensorRawDataList  
{
public:
	virtual void GetDataNum(int & NumData);
	CVISensorRawDataList();
	virtual ~CVISensorRawDataList();
    virtual BOOL    Init(int numRawData) = 0;
    virtual BOOL    Append(CVISensorRawData* pRawData)  = 0;
    virtual BOOL    Delete(int nDeleteDataNum);
    CVISensorRawData	**m_RawData;
protected:
    int         m_numRawData    ;
    int         m_AllocNum      ;
};

#endif
