// VIVertexDataList.h: interface of the CVIVertexDataList class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VIVERTEXDATALIST_H__)
#define __VIVERTEXDATALIST_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VIVertexData.h"

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif
class DATAPROCESS_API CVIVertexDataList  
{
public:
	CVIVertexDataList();
    CVIVertexDataList(const CVIVertexDataList& VertexDataList);
	virtual ~CVIVertexDataList();
	BOOL Init(int nNumData);
    CVIVertexDataList& operator=(const CVIVertexDataList& VertexDataList);
    CVIVertexData	**m_VertexData;
    void GetDataNum(int & NumData)
    {
        NumData = m_numData;
    }
private:
	virtual void Copy(const CVIVertexDataList& VertexDataList);
    int         m_numData;

};

#endif
