/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/
// Vivid910Para.h: CVivid910Para NX̃C^[tFCX
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_VIVID910PARA_H__F6827120_C31B_4952_9B4A_7E63DF1900A0__INCLUDED_)
#define AFX_VIVID910PARA_H__F6827120_C31B_4952_9B4A_7E63DF1900A0__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VISensorPara.h"

#ifdef HARDWARE_EXPORTS
#define HARDWARE_API __declspec(dllexport)
#else
#define HARDWARE_API __declspec(dllimport)
#endif


const int VI910_COLOR_WIDTH   = 640;
const int VI910_COLOR_HEIGHT  = 480;
const int VI910_PITCH_WIDTH   = 640;
const int VI910_PITCH_HEIGHT  = 480;
const int VI910_MONITOR_WIDTH   = 640;
const int VI910_MONITOR_HEIGHT  = 480;


#define VI910_SCSI_AUTOREAD_ON    0
#define VI910_SCSI_AUTOREAD_OFF   1


class HARDWARE_API CVivid910Para : public CVISensorPara  
{
public:
	CVivid910Para();
	virtual ~CVivid910Para();

public:
    BOOL    m_bActAF        ;
    BOOL    m_bActAE        ;
    CHAR    m_cVersionNumber[8];
    CHAR    m_cAdjNumber[8];

	BOOL    m_bColorAE      ;
    BOOL    m_bLog          ;
    BOOL    m_bDark         ;
    BOOL    m_bColor        ;   // (TRUE:use, FALSE:no use) AutoRead

	int		m_nReleaseMode	;	// 0:FINE 1:FAST  (2:color 4:monitor)
    int	    m_nScanNum     ;   // Number of sacan per 1shot
	BOOL	m_bRangeExtend	;
	int		m_nDirection;	// 0 Vert 1 Horizon



	// ڂuhuhcɐݒ肷iuhuhc瓾j
    WORD    m_wDistance     ;	// -1`5000mm   -1 : AFmode
    BYTE    m_byLdPower     ;	// 0`255 (0LaserOff)(-1:AEmode)
    BYTE    m_byGain        ;	// gain parameter
//    BYTE    m_byReleaseMode ;	// 0:FINE 1:FAST  2:color 4:monitor
//    BYTE    m_bySCSIMode	;	// SCSIʒm
	WORD	m_wThreshold	;
//    BYTE    m_byAutoRead	;
    BYTE    m_byColor		;	// 
    CHAR    m_cSerialNumber[8]	;
    BYTE    m_byColorLevel  ;
    BYTE    m_byGainLevel   ;
    BYTE    m_byLensType   ;	// Lens Type(0:Wide,1:Middle,2:Tele)
    BYTE    m_byLensReady   ;



	/****
    BYTE    m_byHighQuality ;   // HighQuality On/OFF
    BYTE    m_byNoiseFilter	;   // Noisefilter On/OFF
	****/

};

#endif // !defined(AFX_VIVID910PARA_H__F6827120_C31B_4952_9B4A_7E63DF1900A0__INCLUDED_)

