/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/
#pragma once

class CVISensorRawFileProcess;
class CVIVertexData;
class CVIObject;
class CVvdImage;

class CVI9iDataProcessControl
{
protected:
    int             m_nErrCode  ;
public:
    CVI9iDataProcessControl(void);
    virtual ~CVI9iDataProcessControl(void);
    virtual BOOL SavePolygonFile(void);
    virtual void SetErrCode(int nErrCode);
    virtual int GetErrCode(void);
    virtual BOOL SaveASCIIData(void);
protected:
    virtual BOOL SaveVertexData(CVIVertexData& VertexData,const char* filename);
public:
    virtual BOOL ReadPolygonFile(CVIObject& PolygonData);
    virtual BOOL GetColorData(CVvdImage& ImageData, const BOOL bLog, const BOOL bDark);
    virtual BOOL GetReflectData(CVvdImage& ImageData);
};
