// VISensorColorProcess.h: interface of the CVISensorColorProcess class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(_VI_SENSOR_COLOR_PROCESS_H__)
#define _VI_SENSOR_COLOR_PROCESS_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
#include <VISensorColorData.h>
#include <VISensorRawData.h>
#include "VvdImage.h"
#include "VividObject.h"
#include "VISensorImportPara.h"

class CVISensorColorProcess  
{
public:
    virtual BOOL CopyColorData(const CVISensorColorData* pSrcColorData, CVISensorColorData* pDestColorData) = 0;//KH@060629
	virtual BOOL SetImageToPolygon(CVISensorRawData* pRawData,CVIObject& Polygon,CVISensorImportPara* pImportPara) = 0;
	virtual BOOL SensorColorToVvdImage(CVISensorColorData* pSensorColorData,CVvdImage& VvdImage,CVISensorImportPara *pImportPara) = 0;
	CVISensorColorProcess();
	virtual ~CVISensorColorProcess();

};

#endif
