// VIVertexData.h: interface of the CVIVertexData class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VIVERTEXDATA_H__)
#define __VIVERTEXDATA_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include <vividIItypes.h>
#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif

class DATAPROCESS_API CVIVertexData  
{
public:
	void GetNumPoints(int& NumPoints);
	void GetSize(int& width,int& height);
	BOOL Init(int width,int height);
	CVIVertexData();
	CVIVertexData(const CVIVertexData& VertexData);
	virtual ~CVIVertexData();    
	VIVERTEX* m_pVertex;
    CVIVertexData& operator=(const CVIVertexData& VertexData);
private:
	void Copy(const CVIVertexData& VertexData);
    int m_nNumPoints;
	int m_nHeight;
	int m_nWidth;
};

#endif
