// VividMonoData.h: interface of the CVividMonoData class
//
/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/

#if !defined(__VIVIDMONODATA_H__)
#define __VIVIDMONODATA_H__

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "VISensorMonoData.h"

#ifdef DATAPROCESS_EXPORTS
#define DATAPROCESS_API __declspec(dllexport)
#else
#define DATAPROCESS_API __declspec(dllimport)
#endif


class DATAPROCESS_API CVividMonoData : public CVISensorMonoData   
{
public:
	BOOL Init(int width,int height);
	void GetSize(int &width,int &height);
	CVividMonoData();
	virtual ~CVividMonoData();
	BYTE    m_byDark[2];
    PBYTE   m_pData;
    friend class CVividMonoProcess;
private:
    int     m_nWidth;
    int     m_nHeight;
};

#endif
