/*--------------------------------------------------------------------------*/
/*       Copyright(C) 2004-2008 KONICA MINOLTA SENSING,INC.                 */
/*--------------------------------------------------------------------------*/
// VIHardwareSampleDlg.h : header file
//

#pragma once

#include <VvdImage.h>

// CVIHardwareSampleDlg dialog
class CVivid9iControl;
class CVIHardwareSampleDlg : public CDialog
{
// Construction
public:
	CVIHardwareSampleDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CVIHardwareSampleDlg();

// Dialog Data
	enum { IDD = IDD_VIHARDWARESAMPLE_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;
    CVivid9iControl* m_pVivid9iControl;
    CRect m_DstRect;
    CVvdImage m_VvdImage;
	// Generated message map functions
    virtual void DrawPicture(CPaintDC &dc);
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
    virtual void ShowLastErr(void);
    afx_msg void OnBnClickedButtonSaveRawdata();
    afx_msg void OnBnClickedButtonSavePolygon();
    afx_msg void OnBnClickedButtonSaveAscii();
    afx_msg void OnBnClickedButtonGetMonitor();
    afx_msg void OnBnClickedButtonGetColorData();
protected:
    virtual void ViewInit(void);

public:
    afx_msg void OnBnClickedButtonCalibration();
	afx_msg void OnSelChangeComboVivid();
protected:
	BOOL ConnectToVivid(int nVividType);
};
